// Fill out your copyright notice in the Description page of Project Settings.


#include "BountyHunterCharacter.h"

#include "Kismet/GameplayStatics.h"

void ABountyHunterCharacter::SpawnBounties()
{
	if (MainBountyClasses.IsEmpty() || !IsValid(MainBountyClasses[CurrentMainBountyIndex])) return;

	UE_LOG(LogTemp, Warning, TEXT("Spawning Bounty..."));

	UGameplayStatics::save
	
	CurrentMainBounty = GetWorld()->SpawnActor<AMainBountyClass>(MainBountyClasses[CurrentMainBountyIndex]);
	const FAttachmentTransformRules AttachmentTransformRules(EAttachmentRule::SnapToTarget, true);
	AttachToComponent(GetRootComponent(), AttachmentTransformRules);

	UGameplayStatics::GetCurrentLevelName(GetWorld()) == OpenWorldLevelName ? CurrentMainBounty->SpawnOpenWorldCheckpoint() : CurrentMainBounty->SpawnCheckpoints();
}

void ABountyHunterCharacter::CompleteCurrentMainBounty()
{
	
}

void ABountyHunterCharacter::BeginPlay()
{
	SpawnBounties();	
	Super::BeginPlay();	
}

void ABountyHunterCharacter::Tick(float DeltaTime)
{
	Super::Tick(DeltaTime);
}

